Knowledge Base
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
The target folder ID of the knowledge base node
The node IDs of the knowledge base node
The keep current permission of the knowledge base node
正常に移動されました。
Moved knowledge base node IDs
Failed knowledge base node IDs
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/move/bulk HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73
{
"targetFolderId": "text",
"nodeIds": [
"text"
],
"keepCurrentPermission": true
}{
"moved_kb_node_ids": [
"text"
],
"failed_kb_node_ids": [
"text"
]
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ドキュメントのファイル名
ドキュメントのハッシュタグ
ドキュメントのターゲットフォルダーID
ドキュメントの上書きフォルダアクセスフラグ
falseIf true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.
falseドキュメントのエージェントフラグへの閲覧アクセス
falseドキュメントのユーザーフラグへの表示アクセス
falseドキュメントの解析処理を向上させるためにレイアウト処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueドキュメントの解析処理を向上させるためにimage description処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueWhether to use OCR for document processing
false成功
Knowledge base node
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/upload HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 558
{
"fileName": "text",
"hashtags": [
"text"
],
"targetFolderId": "text",
"isOverwriteFolderAccess": false,
"isOverwrite": false,
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"accessType": "order_1_editor"
}
],
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessUserFilters": [
{
"variableName": "CUSTOMER_ID",
"value": "text"
}
],
"viewAccessToAgent": false,
"viewAccessToUser": false,
"useLayout": true,
"useImageDescription": true,
"useOcr": false,
"properties": [
{
"key": "text",
"value": "text"
}
],
"notificationHooks": [
"email_on_ingestion_complete"
],
"file": "binary"
}[
{
"result": {
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
}
]認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
S3からファイルをアップロードするためのリクエストモデル。
ファイル名
ハッシュタグ
ターゲットフォルダーID
フォルダーのアクセス権限上書きフラグ
falseIf true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.
false管理者閲覧権限フラグ
falseユーザーの閲覧権限フラグ
falseドキュメントの解析処理を向上させるためにレイアウト処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueドキュメントの解析処理を向上させるためにimage description処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueWhether to use OCR for document processing
falseファイルのバケットオブジェクトパス
S3シークレットキー。
S3アクセスキー。
AWS IAM Role ARN
AWS IAMロールの外部ID
正常に完了しました。
Knowledge base node
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/upload_from_aws_s3 HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 658
{
"fileName": "text",
"hashtags": [
"text"
],
"targetFolderId": "text",
"isOverwriteFolderAccess": false,
"isOverwrite": false,
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"accessType": "order_1_editor"
}
],
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessUserFilters": [
{
"variableName": "CUSTOMER_ID",
"value": "text"
}
],
"viewAccessToAgent": false,
"viewAccessToUser": false,
"useLayout": true,
"useImageDescription": true,
"useOcr": false,
"properties": [
{
"key": "text",
"value": "text"
}
],
"notificationHooks": [
"email_on_ingestion_complete"
],
"bucketObjectPath": "text",
"awsSecretKey": "text",
"awsAccessKey": "text",
"awsIamRoleArn": "text",
"awsExternalId": "text"
}{
"result": {
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
Azure Blob Storageからファイルをアップロードするためのリクエストモデル。
ファイル名
ハッシュタグ
ターゲットフォルダーID
フォルダのアクセス権限の上書きフラグ
falseIf true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.
false管理者の閲覧権限
falseユーザーの閲覧権限
falseドキュメントの解析処理を向上させるためにレイアウト処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueドキュメントの解析処理を向上させるためにimage description処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
trueWhether to use OCR for document processing
falseファイルのコンテナブロブパス
Azure Blob Storageの接続文字列。
了解しました。
Knowledge base node
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/upload_from_azure_blob HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 600
{
"fileName": "text",
"hashtags": [
"text"
],
"targetFolderId": "text",
"isOverwriteFolderAccess": false,
"isOverwrite": false,
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"accessType": "order_1_editor"
}
],
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessUserFilters": [
{
"variableName": "CUSTOMER_ID",
"value": "text"
}
],
"viewAccessToAgent": false,
"viewAccessToUser": false,
"useLayout": true,
"useImageDescription": true,
"useOcr": false,
"properties": [
{
"key": "text",
"value": "text"
}
],
"notificationHooks": [
"email_on_ingestion_complete"
],
"containerBlobPath": "text",
"azureConnectionString": "text"
}{
"result": {
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
The limit of the knowledge base node
10The after of the knowledge base node
The offset of the knowledge base node
成功
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/search HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1183
{
"filter_": {
"parentFolderIds": [
"text"
],
"searchTerm": "text",
"hashtags": [
"text"
],
"hashtagsSearchOperator": "text",
"combinedHashtags": [
[
"text"
]
],
"combinedHashtagsOperator": "text",
"excludingHashtags": [
"text"
],
"excludingHashtagsSearchOperator": "text",
"processState": [
"initializing"
],
"status": [
"on"
],
"nodeType": [
"file"
],
"knowledgeBaseIds": [
"text"
],
"folderIds": [
"text"
],
"ownership": [
"personal"
],
"ancestorIds": [
"text"
],
"hasFaqCandidates": true,
"sourceTypes": [
"onedrive"
],
"facetConditions": [
{
"attribute": "text",
"comparator": "eq",
"value": "text"
}
],
"latestVersionOnly": true
},
"filter": {
"parentFolderIds": [
"text"
],
"searchTerm": "text",
"hashtags": [
"text"
],
"hashtagsSearchOperator": "text",
"combinedHashtags": [
[
"text"
]
],
"combinedHashtagsOperator": "text",
"excludingHashtags": [
"text"
],
"excludingHashtagsSearchOperator": "text",
"processState": [
"initializing"
],
"status": [
"on"
],
"nodeType": [
"file"
],
"knowledgeBaseIds": [
"text"
],
"folderIds": [
"text"
],
"ownership": [
"personal"
],
"ancestorIds": [
"text"
],
"hasFaqCandidates": true,
"sourceTypes": [
"onedrive"
],
"facetConditions": [
{
"attribute": "text",
"comparator": "eq",
"value": "text"
}
],
"latestVersionOnly": true
},
"order": "updated_at_desc",
"limit": 10,
"after": "text",
"offset": 1
}{
"result": {
"nodes": [
{
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
],
"cursor": "text",
"totalFileCount": 1,
"totalFolderCount": 1
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
The search term of the knowledge base node
The limit of the knowledge base node
10The after of the knowledge base node
The folder IDs of the knowledge base node
成功しました。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/content_search HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"searchTerm": "text",
"limit": 10,
"after": "text",
"folderIds": [
"text"
],
"searchScope": "both"
}{
"result": {
"nodes": [
{
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
],
"cursor": "text",
"totalFileCount": 1,
"totalFolderCount": 1
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
The search terms for page content search
The folder IDs to search within
The knowledge base IDs to search within
The hashtags to filter by
The hashtags operator (AND/OR)
ORThe hashtags to exclude
The exclude hashtags operator (AND/OR)
ORThe number of top results to return
1Whether to merge content from the same page
falseOK
Response model for page content search containing list of page content items with metadata.
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_nodes/page_content_search HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 206
{
"searchTerms": [
"text"
],
"folderIds": [
"text"
],
"knowledgeBaseIds": [
"text"
],
"hashtags": [
"text"
],
"hashtagsOperator": "OR",
"excludeHashtags": [
"text"
],
"excludeHashtagsOperator": "OR",
"topN": 1,
"mergeSamePage": false
}{
"results": [
{
"kbId": "text",
"title": "text",
"text": "text",
"pageNo": 1
}
]
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
成功しました
Knowledge base node
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": {
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ナレッジベースノードのタイトル
ハッシュタグ
The overwrite folder access flag of the knowledge base node
The view access to agent flag of the knowledge base node
The view access to user flag of the knowledge base node
成功しました
Knowledge base node
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
PUT /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 381
{
"title": "text",
"hashtags": [
"text"
],
"isOverwriteFolderAccess": true,
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"accessType": "order_1_editor"
}
],
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessUserFilters": [
{
"variableName": "CUSTOMER_ID",
"value": "text"
}
],
"viewAccessToAgent": true,
"viewAccessToUser": true,
"properties": [
{
"key": "text",
"value": "text"
}
]
}{
"result": {
"id": "text",
"name": "text",
"createdAt": 1,
"createdBy": {
"id": "text",
"email": "text",
"firstName": "text",
"lastName": "text"
},
"updatedAt": 1,
"nodeType": "text",
"parentFolder": {
"id": "text",
"name": "text"
},
"breadcrumbs": [
{
"id": "text",
"name": "text"
}
],
"agentPermission": {
"accessAgents": [
{
"agentId": "text",
"accessType": "order_1_editor"
}
],
"accessPermissionGroups": [
{
"permissionGroupId": "text",
"permissionGroupName": "text",
"accessType": "order_1_editor"
}
],
"viewAccessToAgent": true
},
"userPermission": {
"ownUserIds": [
"text"
],
"customerGroups": [
"text"
],
"viewAccessToUser": true
}
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
削除に成功しました
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
DELETE /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
1任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
Response model for knowledge base preview containing HTML and PDF information.
HTML preview of the knowledge base
PDF preview of the knowledge base
Image preview of the knowledge base
Preview URL of the knowledge base
Total preview count of the knowledge base
0Whether the preview is hidden due to PII masking
falseInvalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/knowledge_base_nodes/{node_id}/preview HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"html": "text",
"pdfUrl": "text",
"imageUrl": "text",
"previewUrl": "text",
"totalPreviewCount": 0,
"piiMasked": false
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/knowledge_base_nodes/{node_id}/text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/knowledge_base_nodes/{node_id}/download HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
falsetruetrue正常に作成されました。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/folders HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 302
{
"name": "text",
"parentFolderId": "text",
"followParentFolderPermission": false,
"permissionGroupEditors": [],
"permissionGroupViewers": [],
"agentEditors": [
"text"
],
"agentViewers": [
"text"
],
"userViewers": {
"customerIds": [
"text"
],
"customerGroupIds": [
"text"
]
},
"allowOtherAgentsView": true,
"allowOtherUsersView": true
}{
"id": "text",
"name": "text",
"createdAt": 1,
"updatedAt": 1,
"parentFolderId": "text",
"folderSize": 1
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"id": "text",
"name": "text",
"createdAt": 1,
"updatedAt": 1,
"parentFolderId": "text",
"folderSize": 1
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
正常に更新されました。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
PUT /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 241
{
"name": "text",
"permissionGroupEditors": [],
"permissionGroupViewers": [],
"agentEditors": [
"text"
],
"agentViewers": [
"text"
],
"userViewers": {
"customerIds": [
"text"
],
"customerGroupIds": [
"text"
]
},
"allowOtherAgentsView": true,
"allowOtherUsersView": true
}{
"id": "text",
"name": "text",
"createdAt": 1,
"updatedAt": 1,
"parentFolderId": "text",
"folderSize": 1
}認証用のAPIキー
false任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
DELETE /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
左のナレッジベースID
正しいナレッジベースID
正常に取得しました。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/knowledge_base_diff HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"leftId": "text",
"rightId": "text"
}{
"result": [
{
"left": {
"status": "text",
"page": 1,
"line": 1,
"text": "text",
"highlight": "text"
},
"right": {
"status": "text",
"page": 1,
"line": 1,
"text": "text",
"highlight": "text"
},
"row": 1,
"comment": "text"
}
]
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/embedding_status HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
""1""任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/embedding_status/docs HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
allOK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/v2/embedding_status/reset HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"scope": "all"
}No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
No content
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/embedding_status/{kb_id}/es-count HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
No content
認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
OK
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/v2/ingestion_status/{kb_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"status": "text",
"startedAt": 1,
"endedAt": 1,
"elapsed": 1,
"steps": [
{
"name": "text",
"subLabel": "text",
"startedAt": 1,
"endedAt": 1,
"status": "text"
}
]
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ダウンロードするドキュメント名
ドキュメントファイルが正常にダウンロードされました。
複数のドキュメントが見つかりました。
無許可
禁止された
ドキュメントが見つかりませんでした。
内部サーバーエラー
GET /download_document_by_name/{project_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"filename": "text"
}binary認証用のAPIキー
ドキュメントのID。
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ドキュメントの詳細を正常に取得しました。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/single_document?id=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": {
"id": "text",
"documentName": "text",
"createdDate": "2026-01-01",
"hashtags": [
"text"
],
"agentFeedback": {
"positiveCount": 1,
"negativeCount": 1
},
"userFeedback": {
"positiveCount": 1,
"negativeCount": 1
}
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ローカルファイルの場所
アップロードファイルのためのハッシュタグ
アップロードされたファイルからの検索結果のフッターとして答えの情報源を入力できます。フッターテキストは検索結果の『From』の隣に表示されます。
リンクしたいURLをfooterTitleに入れることができます。
アップロードする対象フォルダID。最上位レベルに挿入するにはヌル。
このドキュメントを他のエージェントが閲覧できるようにするかどうか
他のユーザーがこのドキュメントを閲覧することを許可するかどうか
ドキュメントの解析処理を向上させるためにレイアウト処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
ドキュメントの解析処理を向上させるためにimage description処理を使用するかどうかを指定します。プロジェクトでこの機能が許可されている場合にのみ使用されます。 機能の有効化が必要な場合は担当のカスタマーサクセスまでお問い合わせください。
ファイルのアップロードが成功しました。
無効なリクエストまたはファイル形式
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
ファイルサイズが制限を超えています。
Internal server error.
POST /webapi/upload_file HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 248
{
"file": "binary",
"hashtags": [
"text"
],
"footerTitle": "text",
"footerUrl": "text",
"parentFolderId": "text",
"allowOtherAgentsView": true,
"allowOtherUsersView": true,
"useLayout": true,
"useImageDescription": true,
"properties": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"result": {
"id": "text",
"file_name": "text",
"hashtags": [
"text"
],
"footer": "text"
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ファイルのS3パス。ファイル名で終わる必要があります。バケット名を含めないでください。
あなたのS3シークレットキー。
あなたのS3アクセスキー。
ファイルを含むS3バケットの名前。
検索結果でのフッターテキストとして回答の出典を入力できます。フッターテキストは、検索結果の「出典」の横に表示されます。
リンクしたいURLをfooterTitleに入れることができます。
ドキュメントのハッシュタグ。
アップロード先のターゲットフォルダーID。最上位に挿入する場合は空にして下さい。
S3からファイルが正常にアップロードされました。
無効なリクエストパラメーター
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
S3でファイルが見つかりません。
Internal server error.
POST /webapi/upload_from_s3 HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"path": "text",
"secretKey": "text",
"accessKey": "text",
"bucket": "text",
"footerTitle": "text",
"footerUrl": "text",
"hashtags": [
"text"
],
"parentFolderId": "text",
"properties": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"result": {
"id": "text",
"file_name": "text",
"hashtags": [
"text"
],
"footer": "text"
}
}認証用のAPIキー
ステータスを確認するためのドキュメントID
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ファイルのステータスを正常に取得しました。
無効なタスクIDまたはファイルが見つかりません
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/check_file_status?id=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": {
"id": "text",
"status": "text",
"errorName": "text"
}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
変更したいファイルのID。
指定したファイルの新しい名前を入力。
ファイルの名前が正常に更新されました。
無効なパラメータ
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/update_kb_name HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"id": "text",
"filename": "text"
}{
"result": {
"id": "text",
"filename": "text"
}
}認証用のAPIキー
ドキュメントタイトルの検索用語。
ドキュメントをフィルターするためのカンマ区切りのハッシュタグのリスト。
グループをセミコロンで区切り、グループ内のタグをカンマで区切る複雑なハッシュタグフィルタリング(例:"a,b;c,d")。
ドキュメントを除外するためのカンマ区切りのハッシュタグのリスト。
セマンティックマッチングにベクトル検索を使用するには「true」、テキストベースの検索には「false」に設定します。
結果を並べ替えるプロパティフィールド。
結果をソートする方向(昇順または降順)。
ページネーションのためにスキップする結果の数。
返す結果の最大数。
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
検索に成功しました
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/search_document_by_title?query=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": [
{
"id": "text",
"file_name": "text",
"page_count": 1,
"download_url": "text",
"hashtags": [
"text"
],
"score": 1,
"folder": "text",
"agentEditor": [
"text"
],
"agentViewer": [
"text"
]
}
]
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
配列形式で削除したいドキュメントIDを指定します。
ドキュメントが正常に削除されました。
削除が失敗した場合、ここにエラーメッセージが表示されます。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/delete_file HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"ids": [
"text"
]
}{
"result": {
"ok": true
},
"errors": {}
}認証用のAPIキー
複数のハッシュタグを照合するために使用される論理演算子。AND または OR のいずれかを指定できます。デフォルトは OR です。
ORPossible values: リストをフィルタリングする対象ドキュメントのON/OFF状態
リストを絞り込むためのキーワード検索クエリ。演算子を使用して高度な検索を実行できます。 AND検索には「TERM1 TERM2」、OR検索には「TERM1 OR TERM2」、完全一致検索には「TERM\」を使用します。
リストをフィルタリングするためのハッシュタグ情報。
リストの並べ替え順。ファイル名にはFILE_NAME_ASC/DESC、ファイルタイプにはTYPE_ASC/DESC、オン/オフ状態にはSTATUS_ASC/DESC、アップロード日時にはCREATED_AT_ASC/DESCを使用します。
オフセットを使用すると、ページ上の最初の項目の順位番号を指定できます。
limit を使用すると、1ページに表示されるオブジェクト数を設定できます。 最大値は100です。
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ドキュメントリストの取得に成功
リクエスト処理が失敗した際のエラー情報を格納する
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/knowledge_bases HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": {
"items": [
{
"id": "text",
"fileName": "text",
"hashtags": [
"text"
],
"autoHashtags": [
{}
],
"folder": "text",
"agentEditor": [
"text"
],
"agentViewer": [
"text"
],
"userViewer": {
"variables": {}
},
"allowOtherAgentsView": true,
"allowOtherUsersView": true
}
]
},
"errors": {}
}認証用のAPIキー
プレビューを行うドキュメントID
プレビューを行うドキュメントのページ
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
ドキュメントプレビューの取得に成功
リクエストが失敗した場合のエラー情報
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
GET /webapi/knowledge_base_preview?id=text&pageNo=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
"result": {
"totalPageCount": 1,
"pageNo": 1,
"css": "text",
"body": "text",
"highlightIndexes": [
1
],
"exactAnswer": "text",
"pdf": "text",
"draftjs": "text",
"highlights": {
"indexes": [
1
],
"pageIndexes": [
1
],
"__typename": "text"
},
"knowledgeBase": {
"id": "text",
"title": "text",
"__typename": "text"
},
"__typename": "text"
},
"errors": {}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
更新したいドキュメントのID
アップロードしたファイルから生成された検索結果に出典(ソース)として表示されるフッターテキストを設定できます。検索結果の「From」の右側に表示されます。
footerTitleにリンクさせたいURLを指定します。
ドキュメントをアップロードするときの保存先フォルダーを指定します。
フォルダの権限設定を引き継ぐかどうかを指定します。
このドキュメントに対して編集権限を持つメンバーを指定します。
このファイルに対して閲覧権限を持つメンバーを指定します。
閲覧者や編集者に指定されていないメンバーにも、このドキュメントの閲覧を許可するかどうかを指定します。
閲覧者や編集者として指定されていない一般ユーザーにも、このドキュメントの閲覧を許可するかどうかを指定します。
ドキュメントに追加したいハッシュタグ(文字列)の一覧です。
ドキュメントが正常に更新されました。
リクエストが失敗した場合のエラー情報です。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/update_document HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 334
{
"id": "text",
"footerTitle": "text",
"footerUrl": "text",
"folder": "text",
"followFolderPermission": true,
"agentsEditor": [
"text"
],
"agentsViewer": [
"text"
],
"userViewer": {
"customer_id": [
"text"
],
"customer_group": [
"text"
]
},
"allowOtherAgentsView": true,
"allowOtherUsersView": true,
"hashtags": [
"text"
],
"properties": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"result": {
"knowledgeBase": {
"id": "text",
"hashtags": [
"text"
],
"footer": "text"
}
},
"errors": {}
}認証用のAPIキー
任意: このリクエストに使用するメンバーのメールアドレス
任意: このリクエストに使用するユーザーのメールアドレス
任意: このリクエストに使用するユーザーのID
全ての指定ドキュメントのステータスをON(true) にするか、OFF(false) にするかを指定します。true → すべて「ON」、false → すべて「OFF」
ステータスを切り替えたいドキュメントIDのリスト。
ナレッジベースのステータスが正常に切り替えられました。
リクエストが失敗した場合のエラー情報。
Invalid request parameters.
Authentication failed. The API-KEY header is missing or invalid.
Access denied. The project is inactive or the request IP is not allowed.
Internal server error.
POST /webapi/toggle_documents HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"use": true,
"ids": [
"text"
]
}{
"result": {
"knowledgeBases": [
{
"id": "text",
"status": true
}
]
},
"errors": {}
}Last updated